gtkmm: Gtk::Style Class Reference

# Gtk::Style Class Reference

Inherits Glib::Object.

Collaboration diagram for Gtk::Style:
[legend]

List of all members.

## Public Member Functions

virtual | ~Style ()
GtkStyle* | gobj ()
| Provides access to the underlying C GObject.
const GtkStyle* | gobj () const
| Provides access to the underlying C GObject.
GtkStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_fg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_fg (Gtk::StateType state) const
void | set_bg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_bg (Gtk::StateType state) const
void | set_light (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_light (Gtk::StateType state) const
void | set_dark (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_dark (Gtk::StateType state) const
void | set_mid (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_mid (Gtk::StateType state) const
void | set_text (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_text (Gtk::StateType state) const
void | set_base (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_base (Gtk::StateType state) const
void | set_text_aa (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_text_aa (Gtk::StateType state) const
void | set_black (const Gdk::Color&value)
Gdk::Color | get_black () const
void | set_white (const Gdk::Color&value)
Gdk::Color | get_white () const
void | set_font (const Pango::FontDescription& font_desc)
Pango::FontDescription | get_font () const
void | set_xthickness (int xthickness)
int | get_xthickness () const
void | set_ythickness (int ythickness)
int | get_ythickness () const
Glib::RefPtr< Gdk::GC > | get_fg_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_fg_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_bg_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_bg_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_light_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_light_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_dark_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_dark_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_mid_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_mid_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_text_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_text_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_base_gc (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::GC > | get_base_gc (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::GC > | get_black_gc ()
Glib::RefPtr< const Gdk::GC > | get_black_gc () const
Glib::RefPtr< Gdk::GC > | get_white_gc ()
Glib::RefPtr< const Gdk::GC > | get_white_gc () const
Gdk::Color | get_background (Gtk::StateType state_type) const
Glib::RefPtr< Gdk::Pixmap > | get_background_pixmap (Gtk::StateType state_type)
void | set_bg_pixmap (Gtk::StateType state_type, const Glib::RefPtr< Gdk::Pixmap >& pixmap)
void | set_bg_pixmap (Gtk::StateType state_type, const Glib::RefPtr< const Gdk::Pixmap >& pixmap)
Glib::RefPtr< Gdk::Pixmap > | get_bg_pixmap (Gtk::StateType state_type)
Glib::RefPtr< const Gdk::Pixmap > | get_bg_pixmap (Gtk::StateType state_type) const
void | paint_arrow (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, ArrowType arrow_type, bool fill, int x, int y, int width, int height) const
| Draws an arrow in the given rectangle on window using the given parameters.
void | paint_box (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a box on window with the given parameters.
void | paint_box_gap (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height, PositionType gap_side, int gap_x, int gap_width) const
| Draws a box in window using the given style and state and shadow type, leaving a gap in one side.
void | paint_check (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a check button indicator in the given rectangle on window with the given parameters.
void | paint_diamond (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a diamond in the given rectangle on window using the given parameters.
void | paint_extension (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height, PositionType gap_side) const
| Draws an extension, i.e. a notebook tab.
void | paint_flat_box (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a flat box on window with the given parameters.
void | paint_focus (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a focus indicator around the given rectangle on window using the given style.
void | paint_handle (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height, Orientation orientation) const
| Draws a handle as used in Gtk::HandleBox and Gtk::Paned.
void | paint_hline (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x1, int x2, int y) const
| Draws a horizontal line from ( x1, y) to ( x2, y) in window using the given style and state.
void | paint_option (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a radio button indicator in the given rectangle on window with the given parameters.
void | paint_polygon (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, const Glib::ArrayHandle< Gdk::Point >& points, bool fill) const
void | paint_shadow (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws a shadow around the given rectangle in window using the given style and state and shadow type.
void | paint_shadow_gap (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height, PositionType gap_side, int gap_x, int gap_width) const
| Draws a shadow around the given rectangle in window using the given style and state and shadow type, leaving a gap in one side.
void | paint_slider (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height, Orientation orientation) const
| Draws a slider in the given rectangle on window using the given style and orientation.
void | paint_tab (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, int width, int height) const
| Draws an option menu tab (i.e. the up and down pointing arrows) in the given rectangle on window using the given parameters.
void | paint_vline (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int y1, int y2, int x) const
| Draws a vertical line from ( x, y1) to ( x, y2) in window using the given style and state.
void | paint_expander (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, ExpanderStyle expander_style) const
| Draws an expander as used in Gtk::TreeView.
void | paint_layout (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, bool use_text, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, int x, int y, const Glib::RefPtr< Pango::Layout >& layout) const
| Draws a layout on window using the given parameters.
void | paint_resize_grip (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget& widget, const Glib::ustring& detail, Gdk::WindowEdge edge, int x, int y, int width, int height) const
| Draws a resize grip in the given rectangle on window using the given parameters.
Glib::RefPtr< Style > | copy ()
| Creates a copy of the passed in Gtk::Style object.
Glib::RefPtr< Style > | attach (const Glib::RefPtr< Gdk::Window >& window)
| Attaches a style to a window; this process allocates the colors and creates the GC's for the style - it specializes it to a particular visual and colormap.
void | detach ()
| Detaches a style from a window.
void | set_background (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type)
| Sets the background of window to the background color or pixmap specified by style for the given state.
void | apply_default_background (const Glib::RefPtr< Gdk::Window >& window, bool set_bg, Gtk::StateType state_type, const Gdk::Rectangle& area, int x, int y, int width, int height)
IconSet | lookup_icon_set (const Gtk::StockID& stock_id)
| Looks up stock_id in the icon factories associated with style and the default icon factory, returning an icon set if found, otherwise `0`.
bool | lookup_color (const Glib::ustring& color_name, Gdk::Color& color) const
| Looks up color_name in the style's logical color mappings, filling in color and returning `true` if found, otherwise returning `false`.
Glib::RefPtr< Gdk::Pixbuf > | render_icon (const IconSource& source, Gtk::TextDirection direction, Gtk::StateType state, Gtk::IconSize size, Gtk::Widget& widget, const Glib::ustring& detail)
| Renders the icon specified by source at the given size according to the given parameters and returns the result in a pixbuf.
void | get_style_property_value (GType widget_type, const Glib::ustring& property_name, Glib::ValueBase&value)
| Queries the value of a style property corresponding to a widget class is in the given style.
template<class PropertyType >
void | get_style_property (GType widget_type, const Glib::ustring& property_name, PropertyType&value) const
| Queries the value of a style property corresponding to a widget class in the given style.

## Static Public Member Functions

static Glib::RefPtr< Style > | create ()

## Protected Member Functions

| Style ()
virtual void | realize_vfunc ()
virtual void | unrealize_vfunc ()
virtual void | copy_vfunc (const Glib::RefPtr< Style >& src)
virtual Glib::RefPtr< Style > | clone_vfunc ()
virtual void | init_from_rc_vfunc (const Glib::RefPtr< RcStyle >& rc_style)
virtual void | set_background_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type)
virtual Glib::RefPtr< Gdk::Pixbuf > | render_icon_vfunc (const IconSource& source, TextDirection direction, Gtk::StateType state, IconSize size, Widget* widget, const Glib::ustring& detail)
virtual void | draw_hline_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x1, int x2, int y)
virtual void | draw_vline_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int y1, int y2, int x)
virtual void | draw_shadow_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_polygon_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, GdkPoint* point, int npoints, bool fill)
virtual void | draw_arrow_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, Gtk::ArrowType arrow_type, bool fill, int x, int y, int width, int height)
virtual void | draw_diamond_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_string_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, const Glib::ustring&string)
virtual void | draw_box_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_flat_box_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_check_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_option_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_tab_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_shadow_gap_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height, Gtk::PositionType gap_side, int gap_x, int gap_width)
virtual void | draw_box_gap_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height, Gtk::PositionType gap_side, int gap_x, int gap_width)
virtual void | draw_extension_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height, PositionType gap_side)
virtual void | draw_focus_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height)
virtual void | draw_slider_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height, Orientation orientation)
virtual void | draw_handle_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, ShadowType shadow_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, int width, int height, Orientation orientation)
virtual void | draw_expander_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, ExpanderStyle expander_style)
virtual void | draw_layout_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, bool use_text, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, int x, int y, const Glib::RefPtr< Pango::Layout >& layout)
virtual void | draw_resize_grip_vfunc (const Glib::RefPtr< Gdk::Window >& window, Gtk::StateType state_type, const Gdk::Rectangle& area, Widget* widget, const Glib::ustring& detail, Gdk::WindowEdge edge, int x, int y, int width, int height)
Glib::SignalProxy0< void > | signal_realize ()
Glib::SignalProxy0< void > | signal_unrealize ()
virtual void | on_realize ()
virtual void | on_unrealize ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::Style > | wrap (GtkStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Style::~Style | ( |  | ) | `[virtual]`

Gtk::Style::Style | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::Style::apply_default_background | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | bool | set_bg,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  |

Glib::RefPtr<Style> Gtk::Style::attach | ( | const Glib::RefPtr< Gdk::Window >& | window | ) |

Attaches a style to a window; this process allocates the colors and creates the GC's for the style - it specializes it to a particular visual and colormap.

The process may involve the creation of a new style if the style has already been attached to a window with a different style and colormap.

Since this function may return a new object, you have to use it in the following way: <literal>style = gtk_style_attach (style, window)</literal>

Parameters:

  | window | A Gdk::Window.

Returns:
  Either style, or a newly-created Gtk::Style. If the style is newly created, the style parameter will be unref'ed, and the new style will have a reference count belonging to the caller.

virtual Glib::RefPtr<Style> Gtk::Style::clone_vfunc | ( |  | ) | `[protected, virtual]`

Glib::RefPtr<Style> Gtk::Style::copy | ( |  | ) |

Creates a copy of the passed in Gtk::Style object.

Returns:
  A copy of style.

virtual void Gtk::Style::copy_vfunc | ( | const Glib::RefPtr< Style >& | src | ) | `[protected, virtual]`

static Glib::RefPtr<Style> Gtk::Style::create | ( |  | ) | `[static]`

void Gtk::Style::detach | ( |  | ) |

Detaches a style from a window.

If the style is not attached to any windows anymore, it is unrealized. See attach().

virtual void Gtk::Style::draw_arrow_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | Gtk::ArrowType | arrow_type,
|  | bool | fill,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_box_gap_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Gtk::PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_box_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_check_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_diamond_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_expander_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | ExpanderStyle | expander_style |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_extension_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_flat_box_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_focus_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_handle_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_hline_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x1,
|  | int | x2,
|  | int | y |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_layout_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | bool | use_text,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | const Glib::RefPtr< Pango::Layout > & | layout |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_option_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_polygon_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | GdkPoint * | point,
|  | int | npoints,
|  | bool | fill |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_resize_grip_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | Gdk::WindowEdge | edge,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_shadow_gap_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Gtk::PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_shadow_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_slider_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_string_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | const Glib::ustring & | string |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_tab_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::Style::draw_vline_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget* | widget,
|  | const Glib::ustring & | detail,
|  | int | y1,
|  | int | y2,
|  | int | x |
| ) |  |  | `[protected, virtual]`

Gdk::Color Gtk::Style::get_background | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::Pixmap> Gtk::Style::get_background_pixmap | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_base | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_base_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_base_gc | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_bg | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_bg_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_bg_gc | ( | Gtk::StateType | state_type | ) |

Glib::RefPtr<const Gdk::Pixmap> Gtk::Style::get_bg_pixmap | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::Pixmap> Gtk::Style::get_bg_pixmap | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_black | ( |  | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_black_gc | ( |  | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_black_gc | ( |  | ) |

Gdk::Color Gtk::Style::get_dark | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_dark_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_dark_gc | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_fg | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_fg_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_fg_gc | ( | Gtk::StateType | state_type | ) |

Pango::FontDescription Gtk::Style::get_font | ( |  | ) | const

Gdk::Color Gtk::Style::get_light | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_light_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_light_gc | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_mid | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_mid_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_mid_gc | ( | Gtk::StateType | state_type | ) |

template <class PropertyType >

void Gtk::Style::get_style_property | ( | GType | widget_type,
|  | const Glib::ustring & | property_name,
|  | PropertyType & | value |
| ) |  |  | const`[inline]`

Queries the value of a style property corresponding to a widget class in the given style.

Parameters:

  | widget_type | the GType of a descendant of GtkWidget.
  | property_name | The name of the style property to get.
  | value,: | An output parameter in which the value of the property being queried will be stored.

Since gtkmm 2.16:

void Gtk::Style::get_style_property_value | ( | GType | widget_type,
|  | const Glib::ustring & | property_name,
|  | Glib::ValueBase & | value |
| ) |  |  |

Queries the value of a style property corresponding to a widget class is in the given style.

Since gtkmm 2.16:

Parameters:

  | widget_type | The Type of a descendant of Gtk::Widget.
  | property_name | The name of the style property to get.
  | value | A Value where the value of the property being queried will be stored.

Gdk::Color Gtk::Style::get_text | ( | Gtk::StateType | state | ) | const

Gdk::Color Gtk::Style::get_text_aa | ( | Gtk::StateType | state | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_text_gc | ( | Gtk::StateType | state_type | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_text_gc | ( | Gtk::StateType | state_type | ) |

Gdk::Color Gtk::Style::get_white | ( |  | ) | const

Glib::RefPtr<const Gdk::GC> Gtk::Style::get_white_gc | ( |  | ) | const

Glib::RefPtr<Gdk::GC> Gtk::Style::get_white_gc | ( |  | ) |

int Gtk::Style::get_xthickness | ( |  | ) | const

int Gtk::Style::get_ythickness | ( |  | ) | const

const GtkStyle* Gtk::Style::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkStyle* Gtk::Style::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkStyle* Gtk::Style::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gtk::Style::init_from_rc_vfunc | ( | const Glib::RefPtr< RcStyle >& | rc_style | ) | `[protected, virtual]`

bool Gtk::Style::lookup_color | ( | const Glib::ustring & | color_name,
|  | Gdk::Color& | color |
| ) |  |  | const

Looks up color_name in the style's logical color mappings, filling in color and returning `true` if found, otherwise returning `false`.

Do not cache the found mapping, because it depends on the Gtk::Style and might change when a theme switch occurs.

Since gtkmm 2.10:

Parameters:

  | color_name | The name of the logical color to look up.
  | color | The Gdk::Color to fill in.

Returns:
  `true` if the mapping was found.

IconSet Gtk::Style::lookup_icon_set | ( | const Gtk::StockID& | stock_id | ) |

Looks up stock_id in the icon factories associated with style and the default icon factory, returning an icon set if found, otherwise `0`.

Parameters:

  | stock_id | An icon name.

Returns:
  Icon set of stock_id.

virtual void Gtk::Style::on_realize | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Style::on_unrealize | ( |  | ) | `[protected, virtual]`

void Gtk::Style::paint_arrow | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | ArrowType | arrow_type,
|  | bool | fill,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws an arrow in the given rectangle on window using the given parameters.

arrow_type determines the direction of the arrow.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | arrow_type | The type of arrow to draw.
  | fill | `true` if the arrow tip should be filled.
  | x | X origin of the rectangle to draw the arrow in.
  | y | Y origin of the rectangle to draw the arrow in.
  | width | Width of the rectangle to draw the arrow in.
  | height | Height of the rectangle to draw the arrow in.

void Gtk::Style::paint_box | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a box on window with the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the box.
  | y | Y origin of the box.
  | width | The width of the box.
  | height | The height of the box.

void Gtk::Style::paint_box_gap | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width |
| ) |  |  | const

Draws a box in window using the given style and state and shadow type, leaving a gap in one side.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | Type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle.
  | y | Y origin of the rectangle.
  | width | Width of the rectangle.
  | height | Width of the rectangle.
  | gap_side | Side in which to leave the gap.
  | gap_x | Starting position of the gap.
  | gap_width | Width of the gap.

void Gtk::Style::paint_check | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a check button indicator in the given rectangle on window with the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle to draw the check in.
  | y | Y origin of the rectangle to draw the check in.
  | width | The width of the rectangle to draw the check in.
  | height | The height of the rectangle to draw the check in.

void Gtk::Style::paint_diamond | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a diamond in the given rectangle on window using the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle to draw the diamond in.
  | y | Y origin of the rectangle to draw the diamond in.
  | width | Width of the rectangle to draw the diamond in.
  | height | Height of the rectangle to draw the diamond in.

void Gtk::Style::paint_expander | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | ExpanderStyle | expander_style |
| ) |  |  | const

Draws an expander as used in Gtk::TreeView.

x and y specify the center the expander. The size of the expander is determined by the "expander-size" style property of widget. (If widget is not specified or doesn't have an "expander-size" property, an unspecified default size will be used, since the caller doesn't have sufficient information to position the expander, this is likely not useful.) The expander is expander_size pixels tall in the collapsed position and expander_size pixels wide in the expanded position.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | The x position to draw the expander at.
  | y | The y position to draw the expander at.
  | expander_style | The style to draw the expander in; determines whether the expander is collapsed, expanded, or in an intermediate state.

void Gtk::Style::paint_extension | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side |
| ) |  |  | const

Draws an extension, i.e. a notebook tab.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | Type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the extension.
  | y | Y origin of the extension.
  | width | Width of the extension.
  | height | Width of the extension.
  | gap_side | The side on to which the extension is attached.

void Gtk::Style::paint_flat_box | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a flat box on window with the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the box.
  | y | Y origin of the box.
  | width | The width of the box.
  | height | The height of the box.

void Gtk::Style::paint_focus | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a focus indicator around the given rectangle on window using the given style.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | The x origin of the rectangle around which to draw a focus indicator.
  | y | The y origin of the rectangle around which to draw a focus indicator.
  | width | The width of the rectangle around which to draw a focus indicator.
  | height | The height of the rectangle around which to draw a focus indicator.

void Gtk::Style::paint_handle | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation |
| ) |  |  | const

Draws a handle as used in Gtk::HandleBox and Gtk::Paned.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | Type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the handle.
  | y | Y origin of the handle.
  | width | With of the handle.
  | height | Height of the handle.
  | orientation | The orientation of the handle.

void Gtk::Style::paint_hline | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x1,
|  | int | x2,
|  | int | y |
| ) |  |  | const

Draws a horizontal line from ( x1, y) to ( x2, y) in window using the given style and state.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | area | Rectangle to which the output is clipped, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x1 | The starting x coordinate.
  | x2 | The ending x coordinate.
  | y | The y coordinate.

void Gtk::Style::paint_layout | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | bool | use_text,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | const Glib::RefPtr< Pango::Layout > & | layout |
| ) |  |  | const

Draws a layout on window using the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | use_text | Whether to use the text or foreground graphics context of style.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin.
  | y | Y origin.
  | layout | The layout to draw.

void Gtk::Style::paint_option | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a radio button indicator in the given rectangle on window with the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle to draw the option in.
  | y | Y origin of the rectangle to draw the option in.
  | width | The width of the rectangle to draw the option in.
  | height | The height of the rectangle to draw the option in.

void Gtk::Style::paint_polygon | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | const Glib::ArrayHandle< Gdk::Point >& | points,
|  | bool | fill |
| ) |  |  | const

void Gtk::Style::paint_resize_grip | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | Gdk::WindowEdge | edge,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a resize grip in the given rectangle on window using the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | edge | The edge in which to draw the resize grip.
  | x | The x origin of the rectangle in which to draw the resize grip.
  | y | The y origin of the rectangle in which to draw the resize grip.
  | width | The width of the rectangle in which to draw the resize grip.
  | height | The height of the rectangle in which to draw the resize grip.

void Gtk::Style::paint_shadow | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws a shadow around the given rectangle in window using the given style and state and shadow type.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | Type of shadow to draw.
  | area | Clip rectangle or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle.
  | y | Y origin of the rectangle.
  | width | Width of the rectangle.
  | height | Width of the rectangle.

void Gtk::Style::paint_shadow_gap | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | PositionType | gap_side,
|  | int | gap_x,
|  | int | gap_width |
| ) |  |  | const

Draws a shadow around the given rectangle in window using the given style and state and shadow type, leaving a gap in one side.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | Type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle.
  | y | Y origin of the rectangle.
  | width | Width of the rectangle.
  | height | Width of the rectangle.
  | gap_side | Side in which to leave the gap.
  | gap_x | Starting position of the gap.
  | gap_width | Width of the gap.

void Gtk::Style::paint_slider | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Orientation | orientation |
| ) |  |  | const

Draws a slider in the given rectangle on window using the given style and orientation.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | A shadow.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | The x origin of the rectangle in which to draw a slider.
  | y | The y origin of the rectangle in which to draw a slider.
  | width | The width of the rectangle in which to draw a slider.
  | height | The height of the rectangle in which to draw a slider.
  | orientation | The orientation to be used.

void Gtk::Style::paint_tab | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | ShadowType | shadow_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | const

Draws an option menu tab (i.e. the up and down pointing arrows) in the given rectangle on window using the given parameters.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | shadow_type | The type of shadow to draw.
  | area | Clip rectangle, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | x | X origin of the rectangle to draw the tab in.
  | y | Y origin of the rectangle to draw the tab in.
  | width | The width of the rectangle to draw the tab in.
  | height | The height of the rectangle to draw the tab in.

void Gtk::Style::paint_vline | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type,
|  | const Gdk::Rectangle& | area,
|  | Widget& | widget,
|  | const Glib::ustring & | detail,
|  | int | y1,
|  | int | y2,
|  | int | x |
| ) |  |  | const

Draws a vertical line from ( x, y1) to ( x, y2) in window using the given style and state.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.
  | area | Rectangle to which the output is clipped, or `0` if the output should not be clipped.
  | widget | The widget.
  | detail | A style detail.
  | y1 | The starting y coordinate.
  | y2 | The ending y coordinate.
  | x | The x coordinate.

virtual void Gtk::Style::realize_vfunc | ( |  | ) | `[protected, virtual]`

Glib::RefPtr<Gdk::Pixbuf> Gtk::Style::render_icon | ( | const IconSource& | source,
|  | Gtk::TextDirection | direction,
|  | Gtk::StateType | state,
|  | Gtk::IconSize | size,
|  | Gtk::Widget& | widget,
|  | const Glib::ustring & | detail |
| ) |  |  |

Renders the icon specified by source at the given size according to the given parameters and returns the result in a pixbuf.

Parameters:

  | source | The Gtk::IconSource specifying the icon to render.
  | direction | A text direction.
  | state | A state.
  | size | (type int) the size to render the icon at. A size of (GtkIconSize)-1 means render at the size of the source and don't scale.
  | widget | The widget.
  | detail | A style detail.

Returns:
  A newly-created Gdk::Pixbuf containing the rendered icon.

virtual Glib::RefPtr<Gdk::Pixbuf> Gtk::Style::render_icon_vfunc | ( | const IconSource& | source,
|  | TextDirection | direction,
|  | Gtk::StateType | state,
|  | IconSize | size,
|  | Widget* | widget,
|  | const Glib::ustring & | detail |
| ) |  |  | `[protected, virtual]`

void Gtk::Style::set_background | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type |
| ) |  |  |

Sets the background of window to the background color or pixmap specified by style for the given state.

Parameters:

  | window | A Gdk::Window.
  | state_type | A state.

virtual void Gtk::Style::set_background_vfunc | ( | const Glib::RefPtr< Gdk::Window >& | window,
|  | Gtk::StateType | state_type |
| ) |  |  | `[protected, virtual]`

void Gtk::Style::set_base | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_bg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_bg_pixmap | ( | Gtk::StateType | state_type,
|  | const Glib::RefPtr< const Gdk::Pixmap >& | pixmap |
| ) |  |  |

void Gtk::Style::set_bg_pixmap | ( | Gtk::StateType | state_type,
|  | const Glib::RefPtr< Gdk::Pixmap >& | pixmap |
| ) |  |  |

Deprecated:
  Use set_bg_pixmap(Gtk::StateType state_type, const Glib::RefPtr<const Gdk::Pixmap>& pixmap)

void Gtk::Style::set_black | ( | const Gdk::Color& | value | ) |

void Gtk::Style::set_dark | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_fg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_font | ( | const Pango::FontDescription & | font_desc | ) |

void Gtk::Style::set_light | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_mid | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_text | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_text_aa | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::Style::set_white | ( | const Gdk::Color& | value | ) |

void Gtk::Style::set_xthickness | ( | int | xthickness | ) |

void Gtk::Style::set_ythickness | ( | int | ythickness | ) |

Glib::SignalProxy0< void > Gtk::Style::signal_realize | ( |  | ) | `[protected]`

Prototype:
  `void on_my_realize()`

Glib::SignalProxy0< void > Gtk::Style::signal_unrealize | ( |  | ) | `[protected]`

Prototype:
  `void on_my_unrealize()`

virtual void Gtk::Style::unrealize_vfunc | ( |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Style > wrap | ( | GtkStyle * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/style.h